## CORBA Interface IServerStatus

The ServerStatus component may be used by any client to find out information about the server. This functionality is not limited to administrators.

### Definition

CORBA Module SASIOMCommon

### IServerStatus Description

CORBA Definitions
attribute ServerStatusUniqueID | This UUID is the per-execution instance identifier.
method ServerStatusServerClassIDs | This method provides the classID's supported by the server
attribute ServerStatusDNSName | This is the host on which the server is running.
attribute ServerStatusState | The current state of the server.
method ServerStatusGetInfo | Returns information about the server.
method ServerStatusServerTime | Indicates local time and GMT.

Java Classes
IServerStatusHelper | Used to manipulate the IServerStatus type
IServerStatusHolder | Used to process the IServerStatus type as an out parameter

Java Interfaces
IServerStatus | The ServerStatus component may be used by any client to find out information about the server. This functionality is not limited to administrators.

Java Interface IServerStatus

The ServerStatus component may be used by any client to find out information about the server. This functionality is not limited to administrators.

Package com.sas.iom.SASIOMCommon

IServerStatus Description

`public interface IServerStatus
extends org.omg.CORBA.Object`

Method Summary

void | ServerStatusServerClassIDs ( UUIDSeqHolder classIDs ) throws ( GenericError ); This method provides the classID's supported by the server
void | ServerStatusGetInfo ( StringSeqHolder softwareInfo ) throws ( GenericError ); Returns information about the server.
void | ServerStatusServerTime ( org.omg.CORBA.DateTimeHolder GMT , org.omg.CORBA.DateTimeHolder serverLocal ) throws ( GenericError ); Indicates local time and GMT.

Java Class IServerStatusHelper

public class IServerStatusHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerStatus type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerStatusHelper

Java Class IServerStatusHolder

public class IServerStatusHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerStatus type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerStatusHolder

CORBA Attribute ServerStatusUniqueID (readonly)

This UUID is the per-execution instance identifier.

Description

Usage

Java Method ServerStatusUniqueID

    public UUID ServerStatusUniqueID ();

CORBA Method ServerStatusServerClassIDs

This method provides the classID's supported by the server

Description

Usage

Java Method ServerStatusServerClassIDs

`void` ServerStatusServerClassIDs (

        UUIDSeqHolder classIDs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
classIDs | out | UUIDSeqHolder | An array of classID's

Example

CORBA Attribute ServerStatusDNSName (readonly)

This is the host on which the server is running.

Description

Usage

Java Method ServerStatusDNSName

    public java.lang.String ServerStatusDNSName ();

CORBA Attribute ServerStatusState (readonly)

The current state of the server.

Description

Usage

Java Method ServerStatusState

    public ServerState ServerStatusState ();

CORBA Method ServerStatusGetInfo

Returns information about the server.

Description

Usage

Java Method ServerStatusGetInfo

`void` ServerStatusGetInfo (

        StringSeqHolder softwareInfo
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
softwareInfo | out | StringSeqHolder | An array of strings containing information about the server on which it is running. If the information is not available or meaningful for a given host, an empty string is returned. The ServerStatusSoftwareInfoIndex contains an enumeration constant for the index of each slot in the array.

Example

CORBA Method ServerStatusServerTime

Indicates local time and GMT.

Description

Usage

Java Method ServerStatusServerTime

`void` ServerStatusServerTime (

        org.omg.CORBA.DateTimeHolder GMT ,
        org.omg.CORBA.DateTimeHolder serverLocal
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
GMT | out | org.omg.CORBA.DateTimeHolder | Greenwich Mean Time
serverLocal | out | org.omg.CORBA.DateTimeHolder | Local time

Example